Loading...
Searching...
No Matches
fastjet::JetDefinition::DefaultRecombiner Class Reference
Advanced usage

A class that will provide the recombination scheme facilities and/or allow a user to extend these facilities. More...

`#include <fastjet/JetDefinition.hh>`

Inheritance diagram for fastjet::JetDefinition::DefaultRecombiner:
[legend]
Collaboration diagram for fastjet::JetDefinition::DefaultRecombiner:
[legend]

## Public Member Functions

| DefaultRecombiner (RecombinationScheme recomb_scheme=E_scheme)
virtual std::string | description () const override
| return a textual description of the recombination scheme implemented here
virtual void | recombine (const PseudoJet &pa, const PseudoJet &pb, PseudoJet &pab) const override
| recombine pa and pb and put result into pab
virtual void | preprocess (PseudoJet &p) const override
| routine called to preprocess each input jet (to make all input jets compatible with the scheme requirements (e.g.
RecombinationScheme | scheme () const
| return the index of the recombination scheme
Public Member Functions inherited from fastjet::JetDefinition::Recombiner
virtual | ~Recombiner ()
| a destructor to be replaced if necessary in derived classes...
void | plus_equal (PseudoJet &pa, const PseudoJet &pb) const
| pa += pb in the given recombination scheme.

## Detailed Description

A class that will provide the recombination scheme facilities and/or allow a user to extend these facilities.

This class is derived from the (abstract) class Recombiner. It simply "sums" PseudoJets using a specified recombination scheme (E-scheme by default)

Definition at line 531 of file JetDefinition.hh.

## Constructor & Destructor Documentation

## DefaultRecombiner()

fastjet::JetDefinition::DefaultRecombiner::DefaultRecombiner | ( | RecombinationScheme | recomb_scheme = E_scheme | ) |

inline

Definition at line 533 of file JetDefinition.hh.

## Member Function Documentation

## description()

string fastjet::JetDefinition::DefaultRecombiner::description | ( |  | ) | const

override virtual

return a textual description of the recombination scheme implemented here

Implements fastjet::JetDefinition::Recombiner.

Definition at line 257 of file JetDefinition.cc.

## recombine()

void fastjet::JetDefinition::DefaultRecombiner::recombine | ( | const PseudoJet & | pa,
|  | const PseudoJet & | pb,
|  | PseudoJet & | pab ) const

override virtual

recombine pa and pb and put result into pab

keep y,phi and m from the hardest, sum pt

keep 3-momentum direction and mass from the hardest, sum modp

If the hardest particle is at rest, the sum remains at rest (the energy of the sum is therefore the mass of pa)

Implements fastjet::JetDefinition::Recombiner.

Definition at line 291 of file JetDefinition.cc.

## preprocess()

void fastjet::JetDefinition::DefaultRecombiner::preprocess | ( | PseudoJet & |  | ) | const

override virtual

routine called to preprocess each input jet (to make all input jets compatible with the scheme requirements (e.g.

massless).

Reimplemented from fastjet::JetDefinition::Recombiner.

Definition at line 397 of file JetDefinition.cc.

## scheme()

RecombinationScheme fastjet::JetDefinition::DefaultRecombiner::scheme | ( |  | ) | const

inline

return the index of the recombination scheme

Definition at line 545 of file JetDefinition.hh.

The documentation for this class was generated from the following files:

- include/fastjet/JetDefinition.hh
- src/JetDefinition.cc